CVE record · CVE-2022-31800

Insufficient Verification of Data Vulnerability in PHOENIX CONTACT classic line industrial controllers

CVSS 9.8 CriticalCriticalEPSS 0.016 · 75th percentile

Critical, because:

  • CVSS score 9.8: 9.0 or more.

How we decide what’s critical

Published by the CVE Program (CNA: CERTVDE) at 21 Jun 2022, 08:00 UTC. agentprime has not analysed this yet, so whether it affects any app is not known. This CVE names a vendor and product rather than a package, so the lockfile check doesn’t match it.

Affected products, as the CNA wrote them
VendorProductVersions
PHOENIX CONTACT ILC 1x0
  • affected All Versions
PHOENIX CONTACT ILC 1x1
  • affected All Versions
PHOENIX CONTACT ILC 1x1 GSM/GPRS
  • affected All Versions
PHOENIX CONTACT ILC 3xx
  • affected All Versions
PHOENIX CONTACT AXC 1050
  • affected All Versions
PHOENIX CONTACT AXC 1050 XC
  • affected All Versions
PHOENIX CONTACT AXC 3050
  • affected All Versions
PHOENIX CONTACT RFC 480S PN 4TX
  • affected All Versions
PHOENIX CONTACT RFC 470 PN 3TX
  • affected All Versions
PHOENIX CONTACT RFC 470S PN 3TX
  • affected All Versions
PHOENIX CONTACT RFC 460R PN 3TX
  • affected All Versions
PHOENIX CONTACT RFC 460R PN 3TX-S
  • affected All Versions
PHOENIX CONTACT RFC 430 ETH-IB
  • affected All Versions
PHOENIX CONTACT RFC 450 ETH-IB
  • affected All Versions
PHOENIX CONTACT PC WORX SRT
  • affected All Versions
PHOENIX CONTACT PC WORX RT BASIC
  • affected All Versions
PHOENIX CONTACT FC 350 PCI ETH
  • affected All Versions
Identifiers
CVE-2022-31800
CNA
CERTVDE
Weakness (CWE)
CWE-345
Published
21 Jun 2022
Updated
2 Jun 2026

Not analysed yet

We haven’t published our own analysis of this CVE. If a person reviews it, this page will say what’s affected and what has to be true for it to matter.

Severity and exploitation

ScoreRatingCVSSVectorSource
9.8 Critical 3.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CNA (CERTVDE)
  • CISA KEV Not listed.
  • EPSS 0.016, the 75th percentile, on 7 Nov 2026: FIRST’s estimate of the chance of exploitation in the next 30 days.

Timeline

This record came from the full history of the CVE Program, published 21 Jun 2022. New records show when each source confirmed them.

Sources

References from the CNA

Facts on this page come from the CVE List as the CNA published them, with CVSS from the sources named above, CISA KEV and FIRST EPSS. Vendors, products and versions are shown as the CNA wrote them. We don’t reproduce the CVE’s description.